function [varargout] = comp2d(p1,p2,J1,J2)
d   = size(p1);
p1  = cat(4,reshape(single(p1),[d(1:2),1,2]),zeros(d(1:2),'single'));
p2  = cat(4,reshape(single(p2),[d(1:2),1,2]),zeros(d(1:2),'single'));

if nargin>=3,
    J  = zeros([d(1:2),1,3,3],'single');
    J(:,:,1,1:2,1:2) = reshape(J1,[d(1:2),1,2,2]);
    J1 = J;
    J  = zeros([d(1:2),1,3,3],'single');
    J(:,:,1,1:2,1:2) = reshape(J2,[d(1:2),1,2,2]);
    J2 = J;
end

if nargin>2
    [va{1:nargout}] = dartel3('comp',p1,p2,J1,J2);
else
    [va{1:nargout}] = dartel3('comp',p1,p2);
end

if nargout>=1, va{1} = double(reshape(va{1}(:,:,1,1:2),[d(1:2),2]));       end
if nargout>=2, va{2} = double(reshape(va{2}(:,:,1,1:2,1:2),[d(1:2),2,2])); end

    
varargout = va;

