[x,y]=ndgrid(1:256,1:256);

circle = inline('((x-cx).^2 + (y-cy).^2) < r.^2','x','y','cx','cy','r');
reduce = inline('(a(1:2:end,1:2:end)+a(2:2:end,1:2:end)+a(1:2:end,2:2:end)+a(2:2:end,2:2:end))/4','a');
f = circle(x,y,20,40,20) + circle(x,y,90,100,40);

cx = [0 -1 0 1 0]*60 + 128;;
cy = [1 0 -1 0 0]*60 + 128;
r  = [1 1 1 1 1]*28;
f=zeros(size(x));
for i=1:numel(cx)
    f = f + circle(x,y,cx(i),cy(i),r(i));
end
f=double(f);
f=spm_conv(f,20);
F{1} = reduce((f>0.1) + (f>0.5));
F{2} = reduce(circle(x,y,128,128,80) + circle(x,y,128,128,100));
F{3} = reduce(circle(x,y,128,110,105)+(f>0.65));
F{4} = reduce(circle(x,y,128,110,80)+circle(x,y,128,156,80));
