function [varargout] = shoot2d(v0,prm,args)
% A simple UI to run the 3D code for 2D data
% function [phi,Jphi,v1,theta,Jtheta] = shoot2d(v0,prm,args)
% 
d   = size(v0);
v0  = cat(4,reshape(single(v0),[d(1:2),1,2]),zeros(d(1:2),'single'));
prm = [prm(1:3) 1 prm(4:end)];

[va{1:nargout}] = spm_shoot3d(v0,prm,args);
if nargout>=1
    va{1} = double(reshape(va{1}(:,:,1,1:2),[d(1:2),2]));
    if nargout>=2
        va{2} = double(reshape(va{2}(:,:,1,1:2,1:2),[d(1:2),2,2]));
        if nargout>=3
            va{3} = double(reshape(va{3}(:,:,1,1:2),[d(1:2),2]));
            if nargout>=4
                va{4} = double(reshape(va{4}(:,:,1,1:2),[d(1:2),2]));
                if nargout>=5
                    va{5} = double(reshape(va{5}(:,:,1,1:2,1:2),[d(1:2),2,2]));
                end
            end
        end
    end
end
varargout = va;

